package spaceinvaders.objects;

import java.awt.image.BufferedImage;

public class Enemie extends Ship{
	private int row, column, destroyscore;
	public Enemie(BufferedImage image, int x, int y, int row, int column){
		super(image,x,y);
		this.row = row;
		this.column = column;
		setDestroyScore();
	}
	private void setDestroyScore(){
		if(row == 0){
			destroyscore = 30;
		}else if(row == 1 || row == 2){
			destroyscore = 20;
		}else if(row == 3 || row ==4){
			destroyscore = 10;
		}
	}
	public int getDestroyScore(){
		return destroyscore;
	}
	public int getRow() {
		return row;
	}
	public int getColumn() {
		return column;
	}
}
